@ECHO OFF
ECHO.

IF NOT "%OS%"=="Windows_NT" GOTO Syntax
IF NOT [%1]==[] GOTO Syntax

SETLOCAL
SET LT=
FOR /F "tokens=2 delims=:()" %%A IN ('DEVCON find * ^| FIND /I "Logitech" ^| FIND /I "Mouse"') DO SET LT=%%A
IF DEFINED LT (
	ECHO.%LT%
) ELSE (
	ECHO  No Logitech Mouse driver installed
)
ENDLOCAL
GOTO:EOF

:Syntax
ECHO GetDevLT.bat,  Version 1.00 for Windows NT 4 / 2000 / XP
ECHO Check if a Logitech Mouse driver is installed
ECHO.
ECHO Usage:  GETDEVLT
ECHO.
ECHO Written by Rob van der Woude
ECHO http://www.robvanderwoude.com
ECHO.
ECHO Notes:  This batch file uses Microsoft's (R) DEVCON utility.
ECHO         This utility can be found at http://support.microsoft.com
ECHO         by searching for Q311272 in the English Knowledge Base.
ECHO.
ECHO         The author nor this site are in any way affiliated with Microsoft (R)

:End
